=== debian/changelog ===
ros-kinetic-franka-visualization (0.6.0-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Franka Emika GmbH <support@franka.de>  Tue, 13 Nov 2018 11:46:25 -0000
